Bug 244289 - [patch] source code for security/pwauth has moved to google-code archives
Summary: [patch] source code for security/pwauth has moved to google-code archives
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords: buildisok
: 243650 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-02-21 20:35 UTC by Ian Lepore
Modified: 2020-05-15 19:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (eg)


Attachments
patch to point MASTER_SITES to google-code archives (573 bytes, patch)
2020-02-21 20:35 UTC, Ian Lepore
no flags Details | Diff
Portlint'ed version with previously suggested MASTER_SITES (3.49 KB, patch)
2020-04-11 13:02 UTC, Edmondas Girkantas
no flags Details | Diff
Use placeholders in patch files (4.17 KB, patch)
2020-04-11 13:47 UTC, Edmondas Girkantas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Lepore freebsd_committer 2020-02-21 20:35:58 UTC
Created attachment 211809 [details]
patch to point MASTER_SITES to google-code archives

The security/pwauth port is currently marked BROKEN due to source code fetch failures.  I discovered the code moved to the google-code archives; the attached patch changes the MASTER_SITES value and removes BROKEN.
Comment 1 Edmondas Girkantas 2020-02-22 18:22:29 UTC
I approve the changes. Thank you for contribution.
Comment 2 Edmondas Girkantas 2020-02-22 18:26:30 UTC
(In reply to Ian Lepore from comment #0)
Another option could be to change master site to GitHub:
https://github.com/phokz/pwauth
Comment 3 Ian Lepore freebsd_committer 2020-02-22 18:51:44 UTC
(In reply to Edmondas Girkantas from comment #2)

It doesn't appear that the author is maintaining any kind of tags or release/versioning system for the code on github, so I'm not sure how practical it is for the port to try to use that code.

The readme at github says v2.3.10, while the googlecode archive is 2.3.11.  The archive on googlecode was uploaded in 2013.  On github there have been several commits since 2013, but I see nothing about a version-numbered release of those changes.

So all in all, as a relatively ignorant user of the code who's not very good at ports stuff, I guess I'll defer to the port's maintainer to do an updated version, if that's appropriate.  I would like to see the version people have been using for years become available again in the meantime.  (The source tarball from googlecode matches the distinfo for the tarball we've historically used that came from the unixpapa site.)
Comment 4 Automation User 2020-03-08 00:05:09 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124235451
Comment 5 Edmondas Girkantas 2020-04-11 13:02:36 UTC
Created attachment 213283 [details]
Portlint'ed version with previously suggested MASTER_SITES

Thank you Ian for deeper analysis, let's stay with Google for MASTER_SITES, also regenerated patches to make portlint happy.
Comment 6 Edmondas Girkantas 2020-04-11 13:47:23 UTC
Created attachment 213287 [details]
Use placeholders in patch files

Here's an updated version with proper patch files.
Comment 7 Rene Ladan freebsd_committer 2020-05-12 18:15:55 UTC
See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243650
Comment 8 Rene Ladan freebsd_committer 2020-05-12 18:24:18 UTC
*** Bug 243650 has been marked as a duplicate of this bug. ***
Comment 9 commit-hook freebsd_committer 2020-05-12 19:27:17 UTC
A commit references this bug:

Author: rene
Date: Tue May 12 19:26:47 UTC 2020
New revision: 535006
URL: https://svnweb.freebsd.org/changeset/ports/535006

Log:
  security/pwauth: fix fetch and undeprecate

  PR:		243650 [1]
  PR:		244289 [2]
  Submitted by:	Benjamin Lutz [1]
  Submitted by:	ian [2]
  Approved by:	maintainer
  MFH:		2020Q2

Changes:
  head/security/pwauth/Makefile
  head/security/pwauth/files/patch-checkfaillog.c
  head/security/pwauth/files/patch-config.h
  head/security/pwauth/files/patch-fail__check.c
  head/security/pwauth/files/patch-pwauth.h
  head/security/pwauth/files/patch-utmpx
Comment 10 commit-hook freebsd_committer 2020-05-15 19:50:19 UTC
A commit references this bug:

Author: rene
Date: Fri May 15 19:49:51 UTC 2020
New revision: 535330
URL: https://svnweb.freebsd.org/changeset/ports/535330

Log:
  MFH: r535006

  security/pwauth: fix fetch and undeprecate

  PR:		243650 [1]
  PR:		244289 [2]
  Submitted by:	Benjamin Lutz [1]
  Submitted by:	ian [2]
  Approved by:	maintainer

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/security/pwauth/Makefile
  branches/2020Q2/security/pwauth/files/patch-checkfaillog.c
  branches/2020Q2/security/pwauth/files/patch-config.h
  branches/2020Q2/security/pwauth/files/patch-fail__check.c
  branches/2020Q2/security/pwauth/files/patch-pwauth.h
  branches/2020Q2/security/pwauth/files/patch-utmpx